#!/usr/bin/env bash 


LIGHT_SET_CONFIG='/sys/class/backlight/intel_backlight/brightness'
LIGHT_MAX_VALUE='/sys/class/backlight/intel_backlight/max_brightness'

LIGHTT_CMD=${1}
LIGHT_ARG=${2}


function GetMaxValue() {

	backlight_max=$(cat ${1})

}


function GetCurrentValue() {

	backlight_current=$(cat ${1})

}


function CheckArgs() {

	if [[ -z ${1} ]] || [[ -z ${2} ]]; then
		echo -e "Use ${0} with arg and percent!\n${0} -dec 10 - decrease brightness by 10%\n${0} -inc 10 - inrease brightness by 10%"
		exit 1
	else
		GetMaxValue ${LIGHT_MAX_VALUE}
		GetCurrentValue ${LIGHT_SET_CONFIG}
	fi

}


function CalcPercent() {

	if [[ ${1} -gt 0 ]] && [[ ${2} -le 100 ]]; then
		backlight_calc_value=$(((${backlight_max} * ${1}) / 100))
	fi

}


function SetBacklight() {

	case ${1} in 
		'-inc' ) 
			backlight_set_value=$((${backlight_current} + ${backlight_calc_value}))
			if [[ ${backlight_set_value} -gt 0 ]] && [[ ${backlight_set_value} -le ${backlight_max} ]]; then
				echo ${backlight_set_value} > ${LIGHT_SET_CONFIG}
			fi
		;;
		'-dec' ) 
			backlight_set_value=$((${backlight_current} - ${backlight_calc_value}))
			if [[ ${backlight_set_value} -gt 0 ]] && [[ ${backlight_set_value} -le ${backlight_max} ]]; then
				echo ${backlight_set_value} > ${LIGHT_SET_CONFIG}
			fi
		;;
	esac	

}


function manin() {

	CheckArgs ${LIGHT_ARG} ${LIGHTT_CMD}
	CalcPercent ${LIGHT_ARG}
	SetBacklight ${LIGHTT_CMD}

}


manin